import numpy as np
import matplotlib.pyplot as plt
import scipy.linalg

data=np.loadtxt('populace.txt')
x=data[:,0]
y=data[:,1]

M=1

A=np.zeros([M+1,M+1])
b=np.zeros(M+1)
for i in range(M+1):
    b[i]=np.sum(y*x**i)
    for j in range(M+1):
        A[i,j]=np.sum(x**(i+j))

coef=scipy.linalg.solve(A,b)

x2=np.linspace(1900,2050,1000)
y2=np.zeros(1000)
for i in range(M+1):
    y2=y2+coef[i]*x2**i

plt.plot(x2,y2,'b-',x,y,'rs')
plt.show()